• posted a message on Examiner

    Hey, did quick update for patch 6.2.3 to show correct item level with the new upgrade system. Download updated GetUpgradedItemLevel.lua and replace the one in Interface\Addons\Examiner\Libs folder

    Link Removed
  • To post a comment, please or register a new account.